Jump to content

ESET Management Agent install on CenOS9 Error checking peer certificate: NOT_VALID_PFX


Recommended Posts

17 hours ago, Marcos said:

Are you using a FIPS compatible version of OpenSSL?

Apparently not:


[root@centos9 ~]# openssl version
OpenSSL 3.0.1 14 Dec 2021 (Library: OpenSSL 3.0.1 14 Dec 2021)


Is it necessary to use this (FIPS)?

Link to comment
Share on other sites

  • 2 weeks later...

Tried on AlmaLinux 9 (1:1 copy RedHat EL 9)  and it is same: 

  • Agent installation fails  with "Error checking peer certificate: NOT_VALID_PFX"  too
  • Eset Antivirus (EEA 9.0.5) - can be installed (el8 rpm) but eea.service dies with crashdumps

There is compat-openssl11 package on EL9 linux, but instalation of this package does not help in this case.  Last note: there is no lsb package on EL9 family.

 

I hope new version come as promised  22Q4 ( where are similar reports in this forum about OpenSSL 3.0 (non-compatibility))

 

Link to comment
Share on other sites

Guest
This topic is now closed to further replies.
 Share

  • Recently Browsing   0 members

    • No registered users viewing this page.
×
×
  • Create New...